Business Data API ID List

 
This endpoint is designed to provide you with a list of IDs and metadata for all Business Data tasks created within the specified time period, including both successful and uncompleted tasks.

Note that: You can set the date range within six months from the date of calling the endpoint. Metadata is only available for tasks that were made within one month.

Pricing

Your account will not be charged for using this API

checked POST

You can make up to 10 API calls per minute. With each API call, you can get 1000 task IDs within six previous month.

All POST data should be sent in JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array.

Description of the fields for sending a request:

Field nameTypeDescription
datetime_fromstring

start time for filtering results
required field
if include_metadata is set to true, maximum value: a month from current datetime;
if include_metadata is set to false, maximum value: six months from current datetime;
must be specified in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2023-01-15 12:57:46 +00:00

datetime_tostring

finish time for filtering results
required field
maximum value: current datetime;
must be specified in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2023-01-31 13:57:46 +00:00

limitinteger

the maximum number of returned task IDs
optional field
default value: 1000
maximum value: 1000

offsetinteger

offset in the results array of returned task IDs
optional field
default value: 0
if you specify the 10 value, the first ten tasks in the results array will be omitted

sortstring

sorting by task execution time
optional field
possible values: "asc", "desc"
default value: "asc"

include_metadataboolean

include task metadata in the respond
optional field
default value: false


 
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.
Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

total execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO, can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        idstring

id of the task

        urlstring

URL of the task
URL you used for making an API call

        datetime_postedstring

date and time when the task was made
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2023-01-15 12:57:46 +00:00

        datetime_donestring

date and time when the task was completed
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2023-01-15 12:57:46 +00:00

        statusstring

informational message of the task
you can find the full list of general informational messages here

        costfloat

cost of the task, USD

        metadataobject

contains parameters you specified in the POST request

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/business_data/id_list" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
--data-raw '[
    {
        "datetime_from": "2023-01-31 00:00:00 +02:00",
        "datetime_to": "2023-02-01 00:00:00 +02:00",
        "limit": 100,
        "offset": 0,
        "sort": "desc",
        "include_metadata": true
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
$post_array = array();
// simple way to get a result
$post_array[] = array(
   "datetime_from" => "2023-01-31 00:00:00 +02:00",
   "datetime_to" => "2023-02-01 00:00:00 +02:00",
   "limit" => 100,
   "offset" => 0,
   "sort" => "desc"
   "include_metadata" => true
);
try {
   // POST /v3/business_data/id_list
   // the full list of possible parameters is available in documentation
   $result = $client->post('/v3/business_data/id_list', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "datetime_from": "2023-01-31 00:00:00 +02:00",
  "datetime_to": "2023-02-01 00:00:00 +02:00",
  "limit": 100,
  "offset": 0,
  "sort": "desc",
  "include_metadata": true
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/business_data/id_list',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://api.dataforseo.com/v3/_examples/python/_python_Client.zip
client = RestClient("login", "password")
post_data = dict()
post_data[len(post_data)] = dict(
    datetime_from="2023-01-31 00:00:00 +02:00",
    datetime_to="2023-02-01 00:00:00 +02:00",
    limit=100,
    offset=0,
    sort="desc",
    include_metadata=True
)
# POST /v3/business_data/id_list
# the full list of possible parameters is available in documentation
response = client.post("/v3/business_data/id_list", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/business_data/id_list
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task errors()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // simple way to get a result
            postData.Add(new
            {
             datetime_from = "2023-01-31 00:00:00 +02:00",
             datetime_to = "2023-02-01 00:00:00 +02:00",
             limit = 100,
             offset = 0,
             sort = "desc",
             include_metadata = true
            });
            // POST /v3/business_data/id_list
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/business_data/id_list", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/business_data/id_list
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20221214",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.4222 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02101819-4426-0530-0000-4410693573e9",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.3696 sec.",
      "cost": 0,
      "result_count": 2,
      "path": [
        "v3",
        "business_data",
        "id_list"
      ],
      "data": {
        "api": "business_data",
        "function": "id_list",
        "datetime_from": "2023-01-11 00:00:00 +02:00",
        "datetime_to": "2023-02-10 17:47:00 +02:00",
        "limit": 100,
        "sort": "desc",
        "include_metadata": true
      },
      "result": [
        {
          "id": "02101739-4426-0243-0000-6703372a76ef",
          "url": "v3/business_data/google/my_business_updates/task_post",
          "datetime_posted": "2023-02-10 15:39:27 +00:00",
          "datetime_done": "2023-02-10 15:39:46 +00:00",
          "status": "20100",
          "cost": 0.00225,
          "metadata": {
            "api": "business_data",
            "function": "my_business_updates",
            "se": "google",
            "language_code": "en",
            "location_name": "New York,New York,United States",
            "keyword": "RustyBrick, Inc.",
            "se_type": "business_updates",
            "device": "desktop",
            "os": "windows"
          }
        },
        {
          "id": "02101739-4426-0242-0000-0a3bae78a558",
          "url": "v3/business_data/google/my_business_info/task_post",
          "datetime_posted": "2023-02-10 15:39:06 +00:00",
          "datetime_done": "2023-02-10 15:39:22 +00:00",
          "status": "20100",
          "cost": 0.0015,
          "metadata": {
            "api": "business_data",
            "function": "my_business_info",
            "se": "google",
            "language_code": "en",
            "location_name": "New York,New York,United States",
            "keyword": "RustyBrick, Inc.",
            "se_type": "business_info",
            "device": "desktop",
            "os": "windows"
          }
        }
      ]
    }
  ]
}